Upgrade OpenAPI/Swagger support to OpenAPI 3.0